Subject: Re: bug#22590: 24.5; gnus/nnimap: ticked messages not getting marked as read

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2017 23:47:32 +0100

Mike Kupfer <[email-masked]> writes:

> - a message is unread and flagged (ticked) on the IMAP server.  Gnus
>   shows it and the next message in the summary buffer as ticked.  (I'm
>   not sure that status of the second message is critical for reproducing
>   the problem, but it seems to help.)
> - in the Gnus summary buffer, I type "d" for the first message.  The
>   message is marked "r" in the summary buffer, as expected.
> - I exit the summary buffer and type "s" in the Group buffer
> - I check the folder using Thunderbird; it shows the first message as no
>   longer flagged, but it's still shown as unread.

I think I understand what's going on.  In Gnus, there's no such thing as
"ticked and unread": Everything that's \Flagged in the IMAP server
becomes read in Gnus.  So when you remove the tick (i.e., \Flagged),
Gnus will propagate that change to the IMAP server, but since it thinks
that nothing has changed WRT readedness, it doesn't send that
information to the server...

I'm not sure what the best way to fix that is...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no